> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询任务结果

> 根据任务 ID 查询结果

这是 **Wan 3.0 视频生成 API** 的查询任务结果接口。根据任务 ID 查询视频生成状态和结果。


## OpenAPI

````yaml openapi/cn/wan-task-result.json GET /wan/api/v1/tasks/{task_id}
openapi: 3.1.0
info:
  title: Wan 3.0 - Query Task Result DOCS
  version: 1.0.0
  description: Wan 3.0 查询任务结果 API - 根据任务 ID 查询视频生成状态和结果。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /wan/api/v1/tasks/{task_id}:
    get:
      description: 根据任务 ID 查询结果
      parameters:
        - name: task_id
          in: path
          required: true
          description: 任务 ID
          schema:
            type: string
      responses:
        '200':
          description: 查询任务结果成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_id:
                    type: string
                    description: 请求唯一标识。可用于请求明细溯源和问题排查。
                    example: 78c9b768-0285-996c-b682-xxxxxx
                  output:
                    type: object
                    description: 任务输出信息
                    properties:
                      task_id:
                        type: string
                        description: 任务 ID
                        example: 17ed7e50-00cf-4509-aea1-xxxxxx
                      task_status:
                        type: string
                        description: 任务状态
                        enum:
                          - PENDING
                          - RUNNING
                          - SUCCEEDED
                          - FAILED
                          - CANCELED
                          - UNKNOWN
                        example: SUCCEEDED
                      submit_time:
                        type: string
                        description: 任务提交时间。时区为 UTC+8，格式为 YYYY-MM-DD HH:mm:ss.SSS。
                        example: '2026-08-06 10:01:35.452'
                      scheduled_time:
                        type: string
                        description: 任务执行时间。时区为 UTC+8，格式为 YYYY-MM-DD HH:mm:ss.SSS。
                        example: '2026-08-06 10:01:35.507'
                      end_time:
                        type: string
                        description: 任务完成时间。时区为 UTC+8，格式为 YYYY-MM-DD HH:mm:ss.SSS。
                        example: '2026-08-06 10:13:33.838'
                      orig_prompt:
                        type: string
                        description: 原始输入的提示词。
                        example: >-
                          A golden retriever running on a sunny beach, waves
                          crashing in the background.
                      video_url:
                        type: string
                        description: >-
                          生成视频的 URL 地址。任务成功时返回。视频 URL 仅保留 24
                          小时，超时后会被自动清除，请及时保存生成的视频。
                        example: >-
                          https://dashscope-result-bj.oss-cn-beijing.aliyuncs.com/xxxx.mp4
                    required:
                      - task_id
                      - task_status
                  usage:
                    type: object
                    description: 输出信息统计。只对成功的结果计数。
                    properties:
                      video_count:
                        type: integer
                        description: 生成视频的数量。固定为 1。
                        example: 1
                      duration:
                        type: number
                        description: 生成视频的时长，单位为秒。
                        example: 5
                      input_video_duration:
                        type: number
                        description: 输入视频的时长，单位为秒。无视频输入时为 0.0。
                        example: 0
                      output_video_duration:
                        type: number
                        description: 输出视频的时长，单位为秒。
                        example: 5
                      fps:
                        type: integer
                        description: 生成视频的帧率。默认值为 30。
                        example: 30
                      SR:
                        type: integer
                        description: 生成视频的分辨率。示例值：720。
                        example: 720
                      ratio:
                        type: string
                        description: 生成视频的宽高比。示例值：16:9。
                        example: '16:9'
                required:
                  - request_id
                  - output
      security:
        - CustomApiKey: []
components:
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````